# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:default_group, :parent => Puppet::Parameter::ZfsProperty) do
  desc <<-DESC
    Specifies the default group id for a file.

        zfs_...{
          ...
          default_group => 'unknown'
          ...
        }
  DESC

  data_type('Optional[String]')
end
