# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:default_permissions, :parent => Puppet::Parameter::ZfsProperty) do
  desc <<-DESC
    Specifies the default permissions for a file.

        zfs_...{
          ...
          default_permissions => '0700'
          ...
        }
  DESC

  data_type('Optional[String]')
end
