# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:default_sparse, :parent => Puppet::Parameter::ZfsProperty) do
  include EasyType::Mungers::Boolean

  desc <<-DESC
    Specifies the ACL inheritance behavior.

        zfs_...{
          ...
          default_sparse => true
          ...
        }
  DESC

  data_type('Optional[Boolean]')

  newvalues(true, false)
end
