# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:default_user, :parent => Puppet::Parameter::ZfsProperty) do
  desc <<-DESC
     Specifies the default user for a file.

        zfs_...{
          ...
          default_user => 'unknown'
          ...
        }

  DESC

  data_type('Optional[String]')
end
