# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:project_name) do
  include EasyType

  desc <<-DESC
    The  project name of the project or share.

    This is the third part of the title.

        zfs_...{appliance:pool/project....:
          ...
        }
  DESC

  data_type('Optional[String]')

  isnamevar
end
