# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:sharesftp, :parent => Puppet::Parameter::ZfsProperty) do
  desc <<-DESC
    Specifies if the project or share must be shared with the FTP protocol.

        zfs_...{
          ...
          sharesftp => 'on'
          ...
        }
  DESC

  data_type('Optional[String]')
end
