# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType

  desc <<-DESC
    The name of the appliance.

  DESC

  data_type('Optional[String[1]]')

  isnamevar

  to_translate_to_resource do |raw_resource|
    # rubocop:disable Style/RedundantSelf
    raw_resource[self.name]
    # rubocop:enable Style/RedundantSelf
  end
end
