# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:root_permissions, :parent => Puppet::Parameter::ZfsProperty) do
  desc <<-DESC
    Specifies the root permissions for a file.

        zfs_...{
          ...
          root_permissions => '0700'
          ...
        }
  DESC

  data_type('Optional[String[1]]')
end
