# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:root_user, :parent => Puppet::Parameter::ZfsProperty) do
  desc <<-DESC
     Specifies the root user for a file.

        zfs_...{
          ...
          root_user => 'unknown'
          ...
        }

  DESC

  data_type('Optional[String[1]]')
end
