# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:mountpoint, :parent => Puppet::Parameter::ZfsProperty) do
  desc <<-DESC
    Specifies the mount point .

        zfs_...{
          ...
          mountpoint => '/export/my_share'
          ...
        }
  DESC

  data_type('Optional[String]')
end
