# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:pool_name) do
  include EasyType

  desc <<-DESC
    The  storage pool name of the project.

    This is the second part of the title.

        zfs_...{appliance:pool/....:
          ...
        }
  DESC

  data_type('Optional[String]')

  isnamevar
end
