# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:snapdir, :parent => Puppet::Parameter::ZfsProperty) do
  desc <<-DESC
     Specifies the snapdit behaviour of the project or share.

        zfs_...{
          ...
          snapdir => 'true'
          ...
        }
  DESC

  data_type('Optional[String]')
end
